summaryrefslogtreecommitdiffstats
path: root/system-build/share/hooks/normal/0420-update-glx-alternative.hook.chroot
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/share/hooks/normal/0420-update-glx-alternative.hook.chroot')
-rwxr-xr-xsystem-build/share/hooks/normal/0420-update-glx-alternative.hook.chroot9
1 files changed, 9 insertions, 0 deletions
diff --git a/system-build/share/hooks/normal/0420-update-glx-alternative.hook.chroot b/system-build/share/hooks/normal/0420-update-glx-alternative.hook.chroot
new file mode 100755
index 0000000..8c36c43
--- /dev/null
+++ b/system-build/share/hooks/normal/0420-update-glx-alternative.hook.chroot
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+# Use mesa renderer by default
+if [ -e /etc/alternatives/glx ]
+then
+ update-alternatives --quiet --set glx /usr/lib/mesa-diverted
+fi